## kronometer 2.1.2

=== CMakeLists.txt ===
project(kronometer)

cmake_minimum_required(VERSION 3.1)
set(QT_MIN_VERSION 5.0.0)
set(KF5_MIN_VERSION 5.15.0)

set(CMAKE_CXX_STANDARD 11)
set(CXX_STANDARD_REQUIRED ON)

find_package(ECM 1.6.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED
    COMPONENTS
    Core
    Gui
    Widgets)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
    COMPONENTS
    Config
    Crash
    DocTools
    I18n
    WidgetsAddons
    XmlGui)

add_definitions(
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_TO_ASCII
    -DQT_USE_QSTRINGBUILDER)

add_subdirectory(desktop)
add_subdirectory(doc)
add_subdirectory(src)
add_subdirectory(icons)
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)
find_package(KF5DocTools CONFIG REQUIRED)
kdoctools_install(po)

=== src/CMakeLists.txt ===
set(kronometer_SRCS
    digitdisplay.cpp
    lap.cpp
    lapmodel.cpp
    main.cpp
    mainwindow.cpp
    session.cpp
    sessiondialog.cpp
    sessionmodel.cpp
    stopwatch.cpp
    timedisplay.cpp
    timeformat.cpp
    widgets/generalsettings.cpp)

ki18n_wrap_ui(kronometer_SRCS
    sessiondialog.ui
    widgets/colorsettings.ui
    widgets/fontsettings.ui
    widgets/generalsettings.ui)

kconfig_add_kcfg_files(kronometer_SRCS settings.kcfgc)

add_executable(kronometer ${kronometer_SRCS})

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    target_compile_options(kronometer PRIVATE -pedantic)
endif()

target_link_libraries(kronometer
    KF5::Crash
    KF5::I18n
    KF5::WidgetsAddons
    KF5::XmlGui)

install(TARGETS kronometer ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES kronometer.kcfg
        DESTINATION ${KDE_INSTALL_KCFGDIR})
install(FILES kronometerui.rc
        DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/kronometer)

=== debian/changelog ===
kronometer (2.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 19 Jan 2017 20:29:52 +0100

kronometer (2.1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #784172)

 -- Pino Toscano <pino@debian.org>  Tue, 20 Sep 2016 19:25:56 +0200

=== debian/control ===
Source: kronometer
Section: utils
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: debhelper (>= 9),
 cmake (>= 3.1),
 gettext,
 pkg-kde-tools (>= 0.15.16),
 qtbase5-dev (>= 5.4.0),
 extra-cmake-modules (>= 1.6.0),
 libkf5config-dev (>= 5.15.0),
 libkf5crash-dev (>= 5.15.0),
 libkf5doctools-dev (>= 5.15.0),
 libkf5i18n-dev (>= 5.15.0),
 libkf5widgetsaddons-dev (>= 5.15.0),
 libkf5xmlgui-dev (>= 5.15.0),
 xvfb, xauth,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-extras/kronometer.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/kronometer.git
Homepage: http://www.aelog.org/kronometer/

Package: kronometer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: simple stopwatch application
 Kronometer is a stopwatch application.
 .
 Kronometer's main features are the following:
  - start/pause/resume the stopwatch widget
  - laps recording: you can capture the stopwatch time when you want and add
    a note to it
  - lap times sorting: you can easily find the shortest lap time or the
    longest one
  - reset the stopwatch widget and the lap times
  - time format settings: you can choose the stopwatch granularity
  - times saving and resuming: you can save the stopwatch status and resume it
    later
  - font customization: you can choose the fonts for each of the stopwatch
    digits
  - color customization: you can choose the color for the stopwatch digits
    and the stopwatch background
  - lap times export: you can export the lap times on a file using the JSON
    or CSV format

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kf5

override_dh_auto_test:
	xvfb-run -a dh_auto_test

=== debian/watch ===
version=4
http://download.kde.org/stable/kronometer/([\d.]+)/src/kronometer-([\d.]+)\.tar\.xz

## kronometer 2.1.5

=== debian/changelog ===
kronometer (2.1.5-1) unstable; urgency=medium

  * New upstream release.
  * Update homepage to https://userbase.kde.org/Kronometer in control and
    copyright.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Jun 2017 07:31:23 +0200

=== debian/control ===
--- 
+++ 
@@ -3,27 +3,28 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
-Build-Depends: debhelper (>= 9),
- cmake (>= 3.1),
- gettext,
- pkg-kde-tools (>= 0.15.16),
- qtbase5-dev (>= 5.4.0),
- extra-cmake-modules (>= 1.6.0),
- libkf5config-dev (>= 5.15.0),
- libkf5crash-dev (>= 5.15.0),
- libkf5doctools-dev (>= 5.15.0),
- libkf5i18n-dev (>= 5.15.0),
- libkf5widgetsaddons-dev (>= 5.15.0),
- libkf5xmlgui-dev (>= 5.15.0),
- xvfb, xauth,
+Build-Depends: cmake (>= 3.1),
+               debhelper (>= 9),
+               extra-cmake-modules (>= 1.6.0),
+               gettext,
+               libkf5config-dev (>= 5.15.0),
+               libkf5crash-dev (>= 5.15.0),
+               libkf5doctools-dev (>= 5.15.0),
+               libkf5i18n-dev (>= 5.15.0),
+               libkf5widgetsaddons-dev (>= 5.15.0),
+               libkf5xmlgui-dev (>= 5.15.0),
+               pkg-kde-tools (>= 0.15.16),
+               qtbase5-dev (>= 5.4.0),
+               xauth,
+               xvfb
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-extras/kronometer.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/kronometer.git
-Homepage: http://www.aelog.org/kronometer/
+Homepage: https://userbase.kde.org/Kronometer
 
 Package: kronometer
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: simple stopwatch application
  Kronometer is a stopwatch application.
  .

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/kronometer/([\d.]+)/src/kronometer-([\d.]+)\.tar\.xz

## kronometer 2.2.1

=== CMakeLists.txt ===
project(kronometer)

cmake_minimum_required(VERSION 3.1)
set(QT_MIN_VERSION 5.9.0)
set(KF5_MIN_VERSION 5.26.0)

set(PROJECT_VERSION 2.2.1)

set(CMAKE_CXX_STANDARD 14)
set(CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(FeatureSummary)

# ecm >= 5.31 disables alternative operators, but we use them.
string(REPLACE "-fno-operator-names" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED
    COMPONENTS
    Core
    Gui
    Widgets)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
    COMPONENTS
    Config
    Crash
    DocTools
    I18n
    WidgetsAddons
    XmlGui)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KRONOMETER
    VERSION_HEADER version.h)

add_definitions(
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_TO_ASCII
    -DQT_USE_QSTRINGBUILDER)

add_subdirectory(desktop)
add_subdirectory(doc)
add_subdirectory(src)
add_subdirectory(icons)
add_subdirectory(autotests)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

find_package(Qt5Test ${QT_MIN_VERSION} REQUIRED NO_MODULE)

add_subdirectory(core)
add_subdirectory(gui)

=== doc/CMakeLists.txt ===
# Create and install documentation files

kdoctools_create_handbook(index.docbook
    INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en
    SUBDIR kronometer)
kdoctools_create_manpage(man-kronometer.1.docbook
    1
    INSTALL_DESTINATION
    ${KDE_INSTALL_MANDIR})

=== icons/CMakeLists.txt ===
ecm_install_icons(
    ICONS
    48-apps-kronometer.png
    64-apps-kronometer.png
    128-apps-kronometer.png
    sc-apps-kronometer.svgz
    DESTINATION ${KDE_INSTALL_ICONDIR})

=== autotests/core/CMakeLists.txt ===
ecm_add_tests(
    testlap.cpp
    testsession.cpp
    teststopwatch.cpp
    testtimeformat.cpp
    LINK_LIBRARIES Qt5::Test core)

=== debian/changelog ===
kronometer (2.2.1-2) unstable; urgency=medium

  * Configure Xvfb so it has a proper depth; it should work also when Qt is
    built with OpenGL ES.

 -- Pino Toscano <pino@debian.org>  Tue, 13 Feb 2018 20:02:30 +0100

kronometer (2.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.3, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Feb 2018 09:53:09 +0100

kronometer (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Switch watch file to https.
  * Bump some of the build dependencies according to the upstream build system:
    - qtbase5-dev to >= 5.9.0
    - Frameworks to >= 5.26.0

 -- Pino Toscano <pino@debian.org>  Tue, 05 Dec 2017 19:56:06 +0100

=== debian/control ===
--- 
+++ 
@@ -3,28 +3,27 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
-Build-Depends: cmake (>= 3.1),
-               debhelper (>= 9),
-               extra-cmake-modules (>= 1.6.0),
-               gettext,
-               libkf5config-dev (>= 5.15.0),
-               libkf5crash-dev (>= 5.15.0),
-               libkf5doctools-dev (>= 5.15.0),
-               libkf5i18n-dev (>= 5.15.0),
-               libkf5widgetsaddons-dev (>= 5.15.0),
-               libkf5xmlgui-dev (>= 5.15.0),
-               pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.4.0),
-               xauth,
-               xvfb
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9),
+ cmake (>= 3.1),
+ gettext,
+ pkg-kde-tools (>= 0.15.16),
+ qtbase5-dev (>= 5.9.0),
+ extra-cmake-modules (>= 5.26.0),
+ libkf5config-dev (>= 5.26.0),
+ libkf5crash-dev (>= 5.26.0),
+ libkf5doctools-dev (>= 5.26.0),
+ libkf5i18n-dev (>= 5.26.0),
+ libkf5widgetsaddons-dev (>= 5.26.0),
+ libkf5xmlgui-dev (>= 5.26.0),
+ xvfb, xauth,
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-extras/kronometer.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/kronometer.git
 Homepage: https://userbase.kde.org/Kronometer
 
 Package: kronometer
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
 Description: simple stopwatch application
  Kronometer is a stopwatch application.
  .

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 	dh $@ --parallel --with kf5
 
 override_dh_auto_test:
-	xvfb-run -a dh_auto_test
+	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test

## kronometer 2.2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 set(QT_MIN_VERSION 5.9.0)
 set(KF5_MIN_VERSION 5.26.0)
 
-set(PROJECT_VERSION 2.2.1)
+set(PROJECT_VERSION 2.2.3)
 
 set(CMAKE_CXX_STANDARD 14)
 set(CXX_STANDARD_REQUIRED ON)

=== desktop/CMakeLists.txt ===
install(FILES org.kde.kronometer.appdata.xml
        DESTINATION ${KDE_INSTALL_METAINFODIR})
install(PROGRAMS org.kde.kronometer.desktop
        DESTINATION ${KDE_INSTALL_APPDIR})

=== src/CMakeLists.txt ===
add_subdirectory(core)
add_subdirectory(gui)
add_subdirectory(models)

include_directories(${CMAKE_BINARY_DIR}) # for version.h generated by cmake
add_executable(kronometer main.cpp)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    target_compile_options(kronometer PRIVATE -pedantic)
endif()

target_link_libraries(kronometer
    KF5::Crash
    gui)

install(TARGETS kronometer ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES gui/kronometer.kcfg
        DESTINATION ${KDE_INSTALL_KCFGDIR})

=== autotests/gui/CMakeLists.txt ===
ecm_add_tests(
    testtimedisplay.cpp
    LINK_LIBRARIES Qt5::Test gui)

=== src/core/CMakeLists.txt ===
set(core_SRCS
    lap.cpp
    session.cpp
    stopwatch.cpp
    timeformat.cpp)

add_library(core STATIC ${core_SRCS})
target_link_libraries(core Qt5::Core)

=== src/gui/CMakeLists.txt ===
set(gui_SRCS
    colorsettings.cpp
    digitdisplay.cpp
    fontsettings.cpp
    generalsettings.cpp
    mainwindow.cpp
    sessiondialog.cpp
    timedisplay.cpp)

ki18n_wrap_ui(gui_SRCS
    colorsettings.ui
    fontsettings.ui
    generalsettings.ui
    sessiondialog.ui
    timedisplay.ui)

qt5_add_resources(gui_SRCS kronometerui.qrc)
kconfig_add_kcfg_files(gui_SRCS settings.kcfgc GENERATE_MOC)

add_library(gui STATIC ${gui_SRCS})
target_link_libraries(gui
    Qt5::Core
    Qt5::Widgets
    KF5::I18n
    KF5::WidgetsAddons
    KF5::XmlGui
    core
    models)

=== src/models/CMakeLists.txt ===
set(models_SRCS
    lapmodel.cpp
    sessionmodel.cpp)

add_library(models STATIC ${models_SRCS})
target_link_libraries(models
    Qt5::Core
    KF5::I18n
    core)

=== debian/changelog ===
kronometer (2.2.3-2) unstable; urgency=medium

  * Add the configuration for the CI on salsa.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Mark the xauth, and xvfb build dependencies as nocheck, as they are needed
    only by dh_auto_test.
  * Add a debian/upstream/metadata file.
  * Backport upstream commit cf1ddb42b40820397e14b7feb6cf7bc00a3eb682 to use
    the canonical URL for the documentation in the AppStream XML file; patch
    upstream_appdata-use-canonical-help-URL.patch.

 -- Pino Toscano <pino@debian.org>  Thu, 23 Dec 2021 12:45:37 +0100

kronometer (2.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Tue, 30 Jul 2019 06:36:48 +0200

kronometer (2.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Bump Standards-Version to 4.4.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 08 Jul 2019 21:43:04 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
  cmake (>= 3.1),
  gettext,
  pkg-kde-tools (>= 0.15.16),
@@ -15,10 +15,12 @@
  libkf5i18n-dev (>= 5.26.0),
  libkf5widgetsaddons-dev (>= 5.26.0),
  libkf5xmlgui-dev (>= 5.26.0),
- xvfb, xauth,
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-extras/kronometer.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/kronometer.git
+ xvfb <!nocheck>,
+ xauth <!nocheck>,
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kronometer
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kronometer.git
 Homepage: https://userbase.kde.org/Kronometer
 
 Package: kronometer

## kronometer 2.3.0

=== autotests/core/CMakeLists.txt ===
ecm_add_tests(
    testlap.cpp
    testsession.cpp
    teststopwatch.cpp
    testtimeformat.cpp
    LINK_LIBRARIES Qt::Test core)

=== src/core/CMakeLists.txt ===
set(core_SRCS
    lap.cpp
    session.cpp
    stopwatch.cpp
    timeformat.cpp)

add_library(core STATIC ${core_SRCS})
target_link_libraries(core Qt::Core)

=== src/models/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,6 @@
 
 add_library(models STATIC ${models_SRCS})
 target_link_libraries(models
-    Qt5::Core
+    Qt::Core
     KF5::I18n
     core)

=== debian/changelog ===
kronometer (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 4.6.1, no changes needed.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.15.0
    - add libkf5coreaddons-dev
  * Update the patches:
    - upstream_appdata-use-canonical-help-URL.patch: drop, backported from
      upstream

 -- Pino Toscano <pino@debian.org>  Sat, 22 Oct 2022 12:21:43 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
  cmake (>= 3.1),
  gettext,
  pkg-kde-tools (>= 0.15.16),
- qtbase5-dev (>= 5.9.0),
+ qtbase5-dev (>= 5.15.0~),
  extra-cmake-modules (>= 5.26.0),
  libkf5config-dev (>= 5.26.0),
+ libkf5coreaddons-dev (>= 5.26.0),
  libkf5crash-dev (>= 5.26.0),
  libkf5doctools-dev (>= 5.26.0),
  libkf5i18n-dev (>= 5.26.0),
@@ -17,7 +18,7 @@
  libkf5xmlgui-dev (>= 5.26.0),
  xvfb <!nocheck>,
  xauth <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kronometer
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kronometer.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kf5

override_dh_auto_test:
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/kronometer/([\d.]+)/src/kronometer-([\d.]+)\.tar\.xz

## kronometer 2.3.0+p24.04+vstable+git20250909.0631

=== CMakeLists.txt ===
project(kronometer)

cmake_minimum_required(VERSION 3.1)
set(QT_MIN_VERSION 5.15.0)
set(KF5_MIN_VERSION 5.26.0)

set(PROJECT_VERSION 2.3.0)

set(CMAKE_CXX_STANDARD 17)
set(CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(FeatureSummary)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED
    COMPONENTS
    Core
    Gui
    Widgets)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
    COMPONENTS
    CoreAddons
    Config
    Crash
    DocTools
    I18n
    WidgetsAddons
    XmlGui)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KRONOMETER
    VERSION_HEADER version.h)

add_definitions(
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_TO_ASCII
    -DQT_USE_QSTRINGBUILDER)

add_subdirectory(desktop)
add_subdirectory(src)
add_subdirectory(icons)
add_subdirectory(autotests)

ki18n_install(po)
if(KF5DocTools_FOUND)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

find_package(Qt${QT_MAJOR_VERSION}Test ${QT_MIN_VERSION} REQUIRED NO_MODULE)

add_subdirectory(core)
add_subdirectory(gui)

=== debian/changelog ===
kronometer (2.3.0+p24.04+vstable+git20250909.0631-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 06:31:38 +0000

kronometer (2.3.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:47:17 +1100

kronometer (2.3.0-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:19:00 +0000

## kronometer 2.3.0+p24.04+vstable+git20251028.1038

=== debian/changelog ===
kronometer (2.3.0+p24.04+vstable+git20251028.1038-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:38:48 +0000

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,33 @@
 Source: kronometer
 Section: utils
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
-Build-Depends: debhelper-compat (= 13),
- cmake (>= 3.1),
- gettext,
- pkg-kde-tools (>= 0.15.16),
- qtbase5-dev (>= 5.15.0~),
- extra-cmake-modules (>= 5.26.0),
- libkf5config-dev (>= 5.26.0),
- libkf5coreaddons-dev (>= 5.26.0),
- libkf5crash-dev (>= 5.26.0),
- libkf5doctools-dev (>= 5.26.0),
- libkf5i18n-dev (>= 5.26.0),
- libkf5widgetsaddons-dev (>= 5.26.0),
- libkf5xmlgui-dev (>= 5.26.0),
- xvfb <!nocheck>,
- xauth <!nocheck>,
+Build-Depends: cmake (>= 3.1),
+               debhelper-compat (= 13),
+               extra-cmake-modules (>= 5.26.0),
+               gettext,
+               libkf5config-dev (>= 5.26.0),
+               libkf5coreaddons-dev (>= 5.26.0),
+               libkf5crash-dev (>= 5.26.0),
+               libkf5doctools-dev (>= 5.26.0),
+               libkf5i18n-dev (>= 5.26.0),
+               libkf5widgetsaddons-dev (>= 5.26.0),
+               libkf5xmlgui-dev (>= 5.26.0),
+               pkg-kde-tools (>= 0.15.16),
+               qtbase5-dev (>= 5.15.0~),
+               xauth <!nocheck>,
+               xvfb <!nocheck>
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kronometer
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kronometer.git
 Homepage: https://userbase.kde.org/Kronometer
+Vcs-Git: https://invent.kde.org/neon/extras/kronometer.git
+Vcs-Browser: https://invent.kde.org/neon/extras/kronometer
+Maintainer: Neon CI <neon@kde.org>
 
 Package: kronometer
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: simple stopwatch application
  Kronometer is a stopwatch application.
  .

## kronometer 2.3.0+p24.04+vstable+git20260102.1129

=== debian/changelog ===
kronometer (2.3.0+p24.04+vstable+git20260102.1129-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 11:29:43 +0000

## kronometer 2.3.0+p24.04+vstable+git20260107.0718

=== debian/changelog ===
kronometer (2.3.0+p24.04+vstable+git20260107.0718-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 07:18:12 +0000

## kronometer 2.3.0+p24.04+vstable+git20260122.1310

=== debian/changelog ===
kronometer (2.3.0+p24.04+vstable+git20260122.1310-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 13:10:53 +0000

## kronometer 2.3.0+p24.04+vstable+git20260131.0220

=== debian/changelog ===
kronometer (2.3.0+p24.04+vstable+git20260131.0220-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:20:50 +0000

## kronometer 2.3.0+p24.04+vunstable+git20250915.0232

=== debian/changelog ===
kronometer (2.3.0+p24.04+vunstable+git20250915.0232-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 15 Sep 2025 02:32:38 +0000

## kronometer 2.3.0+p24.04+vunstable+git20251016.0025

=== debian/changelog ===
kronometer (2.3.0+p24.04+vunstable+git20251016.0025-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 00:25:07 +0000

## kronometer 2.3.0+p24.04+vunstable+git20251020.1249

=== debian/changelog ===
kronometer (2.3.0+p24.04+vunstable+git20251020.1249-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 12:49:55 +0000

## kronometer 2.3.0+p24.04+vunstable+git20251123.1002

=== debian/changelog ===
kronometer (2.3.0+p24.04+vunstable+git20251123.1002-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 10:03:00 +0000

## kronometer 2.3.0+p24.04+vunstable+git20260105.1357

=== debian/changelog ===
kronometer (2.3.0+p24.04+vunstable+git20260105.1357-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 13:57:15 +0000

## kronometer 2.3.0+p24.04+vunstable+git20260122.0223

=== debian/changelog ===
kronometer (2.3.0+p24.04+vunstable+git20260122.0223-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 02:23:13 +0000

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,22 @@
 Priority: optional
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
-Build-Depends: cmake (>= 3.1),
+Build-Depends: cmake,
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.26.0),
                gettext,
-               libkf5config-dev (>= 5.26.0),
-               libkf5coreaddons-dev (>= 5.26.0),
-               libkf5crash-dev (>= 5.26.0),
-               libkf5doctools-dev (>= 5.26.0),
-               libkf5i18n-dev (>= 5.26.0),
-               libkf5widgetsaddons-dev (>= 5.26.0),
-               libkf5xmlgui-dev (>= 5.26.0),
-               pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.15.0~),
+               kf6-extra-cmake-modules,
+               kf6-kconfig-dev,
+               kf6-kcoreaddons-dev,
+               kf6-kcrash-dev,
+               kf6-kdoctools-dev,
+               kf6-ki18n-dev,
+               kf6-kwidgetsaddons-dev,
+               kf6-kxmlgui-dev,
+               pkg-kde-tools-neon,
+               qt6-base-dev,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://userbase.kde.org/Kronometer
 Vcs-Git: https://invent.kde.org/neon/extras/kronometer.git

## kronometer 2.3.0+p24.04+vunstable+git20260201.0633

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(kronometer)

set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "6.0.0")

set(PROJECT_VERSION 2.3.70)

set(CMAKE_CXX_STANDARD 17)
set(CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(FeatureSummary)
include(ECMDeprecationSettings)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED
    COMPONENTS
    Core
    Gui
    Widgets)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED
    COMPONENTS
    CoreAddons
    Config
    Crash
    DocTools
    I18n
    WidgetsAddons
    XmlGui)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KRONOMETER
    VERSION_HEADER version.h)

add_definitions(
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_TO_ASCII
    -DQT_USE_QSTRINGBUILDER)

ecm_set_disabled_deprecation_versions(QT 5.15.2
    KF 5.102
)

add_subdirectory(desktop)
add_subdirectory(src)
add_subdirectory(icons)
add_subdirectory(autotests)

ki18n_install(po)
if(KF6DocTools_FOUND)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

find_package(Qt6Test ${QT_MIN_VERSION} REQUIRED NO_MODULE)

add_subdirectory(core)
add_subdirectory(gui)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,8 @@
 endif()
 
 target_link_libraries(kronometer
-    KF5::Crash
+    KF6::CoreAddons
+    KF6::Crash
     gui)
 
 install(TARGETS kronometer ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== src/gui/CMakeLists.txt ===
set(gui_SRCS
    colorsettings.cpp
    digitdisplay.cpp
    fontsettings.cpp
    generalsettings.cpp
    lapitemdelegate.cpp
    mainwindow.cpp
    sessiondialog.cpp
    timedisplay.cpp
    colorsettings.h
    digitdisplay.h
    fontsettings.h
    generalsettings.h
    lapitemdelegate.h
    mainwindow.h
    sessiondialog.h
    timedisplay.h
)

ki18n_wrap_ui(gui_SRCS
    colorsettings.ui
    fontsettings.ui
    generalsettings.ui
    sessiondialog.ui
    timedisplay.ui)

qt_add_resources(gui_SRCS kronometerui.qrc)
kconfig_add_kcfg_files(gui_SRCS settings.kcfgc GENERATE_MOC)

add_library(gui STATIC ${gui_SRCS})
target_link_libraries(gui
    Qt::Core
    Qt::Widgets
    KF6::I18n
    KF6::WidgetsAddons
    KF6::XmlGui
    core
    models)

=== src/models/CMakeLists.txt ===
set(models_SRCS
    lapmodel.cpp lapmodel.h
    sessionmodel.cpp sessionmodel.h)

add_library(models STATIC ${models_SRCS})
target_link_libraries(models
    Qt::Core
    KF6::I18n
    core)

=== debian/changelog ===
kronometer (2.3.0+p24.04+vunstable+git20260201.0633-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:33:19 +0000
